unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Unit2, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var
  g: array [0..3]of TGolyoSzal;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DoubleBuffered := true;
  g[0] := TGolyoSzal.Create(Shape1, tphigher);
  g[1] := TGolyoSzal.Create(Shape2, tpNormal);
  g[2] := TGolyoSzal.Create(Shape3, tpLower);
  g[3] := TGolyoSzal.Create(Shape4, tplowest);

end;

procedure TForm1.FormDestroy(Sender: TObject);
var i:integer;
begin
 for i := 0 to 3 do
  if g[i].Suspended then g[i].Resume;
 for i := 0 to 3 do
  g[i].terminate;
 for i := 0 to 3 do
  g[i].free;
end;

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
 for i := 0 to 3 do
  g[i].resume;
  Button1.Enabled := false;
  Button2.Enabled := true;
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
begin
 for i := 0 to 3 do
  g[i].Suspend;
  Button1.Enabled := true;
  Button2.Enabled := false;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

end.
